package org.diagbot.common.work;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by fyeman on 2018/2/2.
 */
public class ResponseData {
    private String participleSymptom = "";

    private List<FeatureRate> symptom = new ArrayList<>(10);
    private List<FeatureRate> vitals = new ArrayList<>(10);
    private List<FeatureRate> dis = new ArrayList<>(10);
    private List<FeatureRate> labs = new ArrayList<>(10);
    private List<FeatureRate> pacs = new ArrayList<>(10);
    private List<FeatureRate> history = new ArrayList<>(10);

    private Map<String, Filnlly> treat = new HashMap<>();
    private List<FeatureRate> graphWords = new ArrayList<>(10);

    public List<FeatureRate> getGraphWords() {
        return graphWords;
    }

    public void setGraphWords(List<FeatureRate> graphWords) {
        this.graphWords = graphWords;
    }

    private Map<String, Map<String, String>> inputs = new HashMap<>(10,0.5f);

    public String getParticipleSymptom() {
        return participleSymptom;
    }

    public void setParticipleSymptom(String participleSymptom) {
        this.participleSymptom = participleSymptom;
    }

    public List<FeatureRate> getSymptom() {
        return symptom;
    }

    public void setSymptom(List<FeatureRate> symptom) {
        this.symptom = symptom;
    }

    public List<FeatureRate> getVitals() {
        return vitals;
    }

    public void setVitals(List<FeatureRate> vitals) {
        this.vitals = vitals;
    }

    public List<FeatureRate> getDis() {
        return dis;
    }

    public void setDis(List<FeatureRate> dis) {
        this.dis = dis;
    }

    public List<FeatureRate> getLabs() {
        return labs;
    }

    public void setLabs(List<FeatureRate> labs) {
        this.labs = labs;
    }

    public List<FeatureRate> getPacs() {
        return pacs;
    }

    public void setPacs(List<FeatureRate> pacs) {
        this.pacs = pacs;
    }

    public Map<String, Map<String, String>> getInputs() {
        return inputs;
    }

    public void setInputs(Map<String, Map<String, String>> inputs) {
        this.inputs = inputs;
    }

    public Map<String, Filnlly> getTreat() {
        return treat;
    }

    public void setTreat(Map<String, Filnlly> treat) {
        this.treat = treat;
    }

    public List<FeatureRate> getHistory() {
        return history;
    }

    public void setHistory(List<FeatureRate> history) {
        this.history = history;
    }
}
